Get a coupon
curl --request GET \
--url https://api.spacebring.com/discounts/v1/coupons/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.spacebring.com/discounts/v1/coupons/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.spacebring.com/discounts/v1/coupons/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"coupon": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"limitedItems": {
"enabled": true,
"values": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
}
]
},
"limitedRedemption": {
"enabled": true,
"usage": 123,
"value": 123
},
"productTypes": [],
"amountOff": 123,
"createDate": "2023-11-07T05:31:56Z",
"currencyCode": "<string>",
"deleteDate": "2023-11-07T05:31:56Z",
"durationInMonths": 123,
"enabledForCredits": true,
"locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"networkRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"percentOff": 123
}
}{
"message": "<string>",
"type": "<string>"
}Discounts
Get a coupon
Get a coupon.
OAuth
Required scopes:invoices.readonly or invoicesGET
/
discounts
/
v1
/
coupons
/
{id}
Get a coupon
Authorizations
BasicAuthOAuth2
See our authentication documentation for how to authorize your requests
Headers
The id of the network. Required when using bearer token authentication
Path Parameters
The id of the coupon
Response
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I